package zabi.uniud.cggwrapper.ui;

import javax.swing.UIManager;
import javax.swing.UIManager.LookAndFeelInfo;

import zabi.uniud.cggwrapper.Config;

public class ConfiguratorMode {

	public static void load(String[] args) {
		
		System.setProperty("awt.useSystemAAFontSettings", "on");
		System.setProperty("swing.aatext", "true");
		
		try {
			boolean gtkSet = false;
			for (LookAndFeelInfo laf:UIManager.getInstalledLookAndFeels()) {
				if (laf.getClassName().toLowerCase().contains("gtk")) {
					UIManager.setLookAndFeel(laf.getClassName());
					gtkSet = true;
				}
			}
			if (!gtkSet) {
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			}
		} catch (Exception e) {}
		
		new ConfigFrame(args);
	}

	public static void resetAndLoad(String[] args) {
		Config.delete();
		load(args);
	}
	
}
